package com.engine.salary.enums.taxagent;

/**
 * @Description: 个税扣缴义务人角色类型
 * @Author: wangxiangzhong
 * @Date: 2022-04-22 14:37
 */
public enum TaxAgentRoleTypeEnum {

    CHIEF(0, "总管理员"),
    ADMIN(1, "管理员"),
    SUBADMIN(2, "分管理员"),
    NONE(3, "其他");

    private int value;

    private String defaultLabel;

    TaxAgentRoleTypeEnum(int value, String defaultLabel) {
        this.value = value;
        this.defaultLabel = defaultLabel;
    }

    public int getValue() {
        return value;
    }

    public String getDefaultLabel() {
        return defaultLabel;
    }
}
